<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/ActionWritePaper.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/db1/_action_write_paper_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionWritePaper.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/db1/_action_write_paper_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d1/d92/class_action_write_paper_c_b.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d1/d92/class_action_write_paper_c_b.html">ActionWritePaperCB</a> : <a class="code hl_class" href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d1/d92/class_action_write_paper_c_b.html#a6c184bd908c50258d6cd3efaa7c01fb7">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d92/class_action_write_paper_c_b.html#a6c184bd908c50258d6cd3efaa7c01fb7">CreateActionComponent</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_function" href="../../d4/d9e/human_8c.html#a8c262e2cc27fccf4a1439b54979e2f4a">EnableStateChangeCallback</a>();</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">m_ActionComponent</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d1/dc2/class_c_a_continuous_time.html">CAContinuousTime</a>(-1.0);</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    }</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d1/d92/class_action_write_paper_c_b.html#a4fb4a56910f894a6f7739a1f5ca1e458">    9</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d92/class_action_write_paper_c_b.html#a4fb4a56910f894a6f7739a1f5ca1e458">EndActionComponent</a>()</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d1/d92/class_action_write_paper_c_b.html#a5a1282117259e0e5f7dff91271bebd4b">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d92/class_action_write_paper_c_b.html#a5a1282117259e0e5f7dff91271bebd4b">OnStateChange</a>(<span class="keywordtype">int</span> pOldState, <span class="keywordtype">int</span> pCurrentState)</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keywordflow">if</span> (pCurrentState == <a class="code hl_variable" href="../../d4/d9e/human_8c.html#a0ff334215c943f44c097b2633237c6f5">STATE_NONE</a> &amp;&amp; (!<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer()))</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>            <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager() &amp;&amp; <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager().IsMenuOpen(<a class="code hl_variable" href="../../d7/d7f/group___menu_i_d.html#gab4b187c0bd6713044c308f943e834330">MENU_NOTE</a>))</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>                <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">GetUIManager</a>().<a class="code hl_function" href="../../d7/d75/class_u_i_manager.html#a9eec3197925c4469ac05fcc46221b4f7">FindMenu</a>(<a class="code hl_variable" href="../../d7/d7f/group___menu_i_d.html#gab4b187c0bd6713044c308f943e834330">MENU_NOTE</a>).Close();</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (pCurrentState == <a class="code hl_variable" href="../../d4/d9e/human_8c.html#ab9478b06befba3a8bd52435a249df222">STATE_LOOP_LOOP</a> &amp;&amp; pOldState != <a class="code hl_variable" href="../../d4/d9e/human_8c.html#ab9478b06befba3a8bd52435a249df222">STATE_LOOP_LOOP</a> &amp;&amp; (!<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer() || <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer()))</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> paper_item;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.ConfigIsExisting(<span class="stringliteral">&quot;writingColor&quot;</span>))</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>                paper_item = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(<a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject());</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>                paper_item = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(<a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            Param1&lt;string&gt; text = <span class="keyword">new</span> Param1&lt;string&gt;(paper_item.<a class="code hl_function" href="../../de/d7a/class_item_base.html#a5387d5376315178ad70f6816c2e10408">GetWrittenNoteData</a>().<a class="code hl_function" href="../../d4/d67/class_written_note_data.html#a7d3a4265a6da340e92178258307e1370">GetNoteText</a>());</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            paper_item.RPCSingleParam(<a class="code hl_enumeration" href="../../d0/d66/_e_r_p_cs_8c.html#a6ce2d98a3b8fbdba5b450abf2d6eab37">ERPCs</a>.RPC_WRITE_NOTE, text, <span class="keyword">true</span>,<a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetIdentity());</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>};</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../df/d36/class_action_write_paper.html">   37</a></span><span class="keyword">class </span><a class="code hl_class" href="../../df/d36/class_action_write_paper.html">ActionWritePaper</a>: <a class="code hl_class" href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>{</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../df/d36/class_action_write_paper.html#a12a3fe5cf2355b8be724f02a76a33b6a">   39</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../df/d36/class_action_write_paper.html#a12a3fe5cf2355b8be724f02a76a33b6a">TARGET_DISTANCE</a> = 2;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../df/d36/class_action_write_paper.html#a2e8afbc7fac58f60bc78e883556d316f">   41</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d36/class_action_write_paper.html#a2e8afbc7fac58f60bc78e883556d316f">ActionWritePaper</a>()</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">m_CallbackClass</a> = <a class="code hl_class" href="../../d1/d92/class_action_write_paper_c_b.html">ActionWritePaperCB</a>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONFB_VIEWNOTE;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adb7a179f0ce9195c7dc300367bbaf51a">m_FullBody</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_CROUCH | <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_ERECT | <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_PRONE;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#write_note&quot;</span>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../df/d36/class_action_write_paper.html#a92f2c8f03c73cd712297e9ae7ab68a2d">   50</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d36/class_action_write_paper.html#a92f2c8f03c73cd712297e9ae7ab68a2d">CreateConditionComponents</a>()</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    {   </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a>;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/dbf/class_c_c_t_none.html">CCTNone</a>;<span class="comment">//CCTNonRuined(TARGET_DISTANCE);</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../df/d36/class_action_write_paper.html#af9ac5cebe49e0e0b6761ec7a830d4778">   56</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d36/class_action_write_paper.html#af9ac5cebe49e0e0b6761ec7a830d4778">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordflow">if</span> ((item &amp;&amp; item.ConfigIsExisting(<span class="stringliteral">&quot;writingColor&quot;</span>) &amp;&amp; target.GetObject() &amp;&amp; Paper.Cast(target.GetObject())) || (target.GetObject() &amp;&amp; target.GetObject().ConfigIsExisting(<span class="stringliteral">&quot;writingColor&quot;</span>) &amp;&amp; item &amp;&amp; Paper.Cast(item)))</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../df/d36/class_action_write_paper.html#aea628e43e8d34944394e55406ce09fe4">   65</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d36/class_action_write_paper.html#aea628e43e8d34944394e55406ce09fe4">OnStartClient</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="keywordflow">if</span> (action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject().ConfigIsExisting(<span class="stringliteral">&quot;writingColor&quot;</span>))</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.<a class="code hl_function" href="../../de/d7a/class_item_base.html#a5387d5376315178ad70f6816c2e10408">GetWrittenNoteData</a>().<a class="code hl_function" href="../../d4/d67/class_written_note_data.html#a0a7bd1a5fecae8c39611251cd954f1bd">InitNoteInfo</a>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject()),action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject()).<a class="code hl_function" href="../../de/d7a/class_item_base.html#a5387d5376315178ad70f6816c2e10408">GetWrittenNoteData</a>().<a class="code hl_function" href="../../d4/d67/class_written_note_data.html#a0a7bd1a5fecae8c39611251cd954f1bd">InitNoteInfo</a>(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>,<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject()));</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../df/d36/class_action_write_paper.html#a57ede6a0b87b59de6df5e315586539de">   77</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d36/class_action_write_paper.html#a57ede6a0b87b59de6df5e315586539de">OnStartServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">if</span> (action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject().ConfigIsExisting(<span class="stringliteral">&quot;writingColor&quot;</span>))</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.<a class="code hl_function" href="../../de/d7a/class_item_base.html#a5387d5376315178ad70f6816c2e10408">GetWrittenNoteData</a>().<a class="code hl_function" href="../../d4/d67/class_written_note_data.html#a0a7bd1a5fecae8c39611251cd954f1bd">InitNoteInfo</a>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject()),action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>);</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject()).<a class="code hl_function" href="../../de/d7a/class_item_base.html#a5387d5376315178ad70f6816c2e10408">GetWrittenNoteData</a>().<a class="code hl_function" href="../../d4/d67/class_written_note_data.html#a0a7bd1a5fecae8c39611251cd954f1bd">InitNoteInfo</a>(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>,<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject()));</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno"><a class="line" href="../../df/d36/class_action_write_paper.html#a0bb109dbe76436c26d23b66352848260">   89</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d36/class_action_write_paper.html#a0bb109dbe76436c26d23b66352848260">OnUpdate</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    {</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        super.OnUpdate(action_data);</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">if</span>(!<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer())</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            <span class="keywordflow">if</span> (action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#ac1e0ce4566aafcf4a9faf829080267c8">m_State</a> == <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga1549e547ab5d53897a986482bf8fafe5">UA_FINISHED</a> &amp;&amp; <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager() &amp;&amp; !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager().IsMenuOpen(<a class="code hl_variable" href="../../d7/d7f/group___menu_i_d.html#gab4b187c0bd6713044c308f943e834330">MENU_NOTE</a>))</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>            {</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>                <a class="code hl_class" href="../../d7/da1/class_action_manager_client.html">ActionManagerClient</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetActionManager()).<a class="code hl_function" href="../../d7/da1/class_action_manager_client.html#a89e1ae073c78ebdf812a06d74f176de6">RequestEndAction</a>();</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            }</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../df/d36/class_action_write_paper.html#ac0b0f2e4b6710b10b15d7429d1f0a9a8">  102</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d36/class_action_write_paper.html#ac0b0f2e4b6710b10b15d7429d1f0a9a8">OnEndRequest</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    {</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <span class="keywordflow">if</span> (action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a3670327f6d411b07d3006af36d24510d">m_Callback</a>)</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        {</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a3670327f6d411b07d3006af36d24510d">m_Callback</a>.InternalCommand(<a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONINT_INTERRUPT);</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        }</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    }</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>};</div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adb7a179f0ce9195c7dc300367bbaf51a"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adb7a179f0ce9195c7dc300367bbaf51a">m_FullBody</a></div><div class="ttdeci">protected bool m_FullBody</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00052">ActionBase.c:52</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adc0813e96c27638edc8c57cfbaa30c25"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a></div><div class="ttdeci">protected int m_StanceMask</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00053">ActionBase.c:53</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="a_e_r_p_cs_8c_html_a6ce2d98a3b8fbdba5b450abf2d6eab37"><div class="ttname"><a href="../../d0/d66/_e_r_p_cs_8c.html#a6ce2d98a3b8fbdba5b450abf2d6eab37">ERPCs</a></div><div class="ttdeci">ERPCs</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d66/_e_r_p_cs_8c_source.html#l00001">ERPCs.c:2</a></div></div>
<div class="ttc" id="aclass_action_base_c_b_html_ab8c5796aa8f98fa679639b14db60813f"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">ActionBaseCB::m_ActionData</a></div><div class="ttdeci">protected ActionData m_ActionData</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00003">AnimatedActionBase.c:3</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_c_b_html"><div class="ttname"><a href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00001">ActionContinuousBase.c:2</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_html"><div class="ttname"><a href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00131">ActionContinuousBase.c:132</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_a3670327f6d411b07d3006af36d24510d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a3670327f6d411b07d3006af36d24510d">ActionData::m_Callback</a></div><div class="ttdeci">ActionBaseCB m_Callback</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00029">ActionBase.c:29</a></div></div>
<div class="ttc" id="aclass_action_data_html_a57bdca781ae4f1cfcb6574b0ace5d74d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">ActionData::m_Target</a></div><div class="ttdeci">ref ActionTarget m_Target</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00032">ActionBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_data_html_a82934edb9e2ee84d9c8a45aa66242075"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">ActionData::m_ActionComponent</a></div><div class="ttdeci">ref CABase m_ActionComponent</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00030">ActionBase.c:30</a></div></div>
<div class="ttc" id="aclass_action_data_html_ac1e0ce4566aafcf4a9faf829080267c8"><div class="ttname"><a href="../../da/d5a/class_action_data.html#ac1e0ce4566aafcf4a9faf829080267c8">ActionData::m_State</a></div><div class="ttdeci">int m_State</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00031">ActionBase.c:31</a></div></div>
<div class="ttc" id="aclass_action_data_html_adbe781e3bcf840ec9eeaa2d0d005eb6f"><div class="ttname"><a href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">ActionData::m_MainItem</a></div><div class="ttdeci">ItemBase m_MainItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00028">ActionBase.c:28</a></div></div>
<div class="ttc" id="aclass_action_manager_client_html"><div class="ttname"><a href="../../d7/da1/class_action_manager_client.html">ActionManagerClient</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dae/_action_manager_client_8c_source.html#l00004">ActionManagerClient.c:5</a></div></div>
<div class="ttc" id="aclass_action_manager_client_html_a89e1ae073c78ebdf812a06d74f176de6"><div class="ttname"><a href="../../d7/da1/class_action_manager_client.html#a89e1ae073c78ebdf812a06d74f176de6">ActionManagerClient::RequestEndAction</a></div><div class="ttdeci">void RequestEndAction()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dae/_action_manager_client_8c_source.html#l00322">ActionManagerClient.c:322</a></div></div>
<div class="ttc" id="aclass_action_write_paper_c_b_html"><div class="ttname"><a href="../../d1/d92/class_action_write_paper_c_b.html">ActionWritePaperCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/db1/_action_write_paper_8c_source.html#l00001">ActionWritePaper.c:2</a></div></div>
<div class="ttc" id="aclass_action_write_paper_c_b_html_a4fb4a56910f894a6f7739a1f5ca1e458"><div class="ttname"><a href="../../d1/d92/class_action_write_paper_c_b.html#a4fb4a56910f894a6f7739a1f5ca1e458">ActionWritePaperCB::EndActionComponent</a></div><div class="ttdeci">override void EndActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/db1/_action_write_paper_8c_source.html#l00009">ActionWritePaper.c:9</a></div></div>
<div class="ttc" id="aclass_action_write_paper_c_b_html_a5a1282117259e0e5f7dff91271bebd4b"><div class="ttname"><a href="../../d1/d92/class_action_write_paper_c_b.html#a5a1282117259e0e5f7dff91271bebd4b">ActionWritePaperCB::OnStateChange</a></div><div class="ttdeci">override void OnStateChange(int pOldState, int pCurrentState)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/db1/_action_write_paper_8c_source.html#l00013">ActionWritePaper.c:13</a></div></div>
<div class="ttc" id="aclass_action_write_paper_c_b_html_a6c184bd908c50258d6cd3efaa7c01fb7"><div class="ttname"><a href="../../d1/d92/class_action_write_paper_c_b.html#a6c184bd908c50258d6cd3efaa7c01fb7">ActionWritePaperCB::CreateActionComponent</a></div><div class="ttdeci">override void CreateActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/db1/_action_write_paper_8c_source.html#l00003">ActionWritePaper.c:3</a></div></div>
<div class="ttc" id="aclass_action_write_paper_html"><div class="ttname"><a href="../../df/d36/class_action_write_paper.html">ActionWritePaper</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/db1/_action_write_paper_8c_source.html#l00037">ActionWritePaper.c:38</a></div></div>
<div class="ttc" id="aclass_action_write_paper_html_a0bb109dbe76436c26d23b66352848260"><div class="ttname"><a href="../../df/d36/class_action_write_paper.html#a0bb109dbe76436c26d23b66352848260">ActionWritePaper::OnUpdate</a></div><div class="ttdeci">override void OnUpdate(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/db1/_action_write_paper_8c_source.html#l00089">ActionWritePaper.c:89</a></div></div>
<div class="ttc" id="aclass_action_write_paper_html_a12a3fe5cf2355b8be724f02a76a33b6a"><div class="ttname"><a href="../../df/d36/class_action_write_paper.html#a12a3fe5cf2355b8be724f02a76a33b6a">ActionWritePaper::TARGET_DISTANCE</a></div><div class="ttdeci">const float TARGET_DISTANCE</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/db1/_action_write_paper_8c_source.html#l00039">ActionWritePaper.c:39</a></div></div>
<div class="ttc" id="aclass_action_write_paper_html_a2e8afbc7fac58f60bc78e883556d316f"><div class="ttname"><a href="../../df/d36/class_action_write_paper.html#a2e8afbc7fac58f60bc78e883556d316f">ActionWritePaper::ActionWritePaper</a></div><div class="ttdeci">void ActionWritePaper()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/db1/_action_write_paper_8c_source.html#l00041">ActionWritePaper.c:41</a></div></div>
<div class="ttc" id="aclass_action_write_paper_html_a57ede6a0b87b59de6df5e315586539de"><div class="ttname"><a href="../../df/d36/class_action_write_paper.html#a57ede6a0b87b59de6df5e315586539de">ActionWritePaper::OnStartServer</a></div><div class="ttdeci">override void OnStartServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/db1/_action_write_paper_8c_source.html#l00077">ActionWritePaper.c:77</a></div></div>
<div class="ttc" id="aclass_action_write_paper_html_a92f2c8f03c73cd712297e9ae7ab68a2d"><div class="ttname"><a href="../../df/d36/class_action_write_paper.html#a92f2c8f03c73cd712297e9ae7ab68a2d">ActionWritePaper::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/db1/_action_write_paper_8c_source.html#l00050">ActionWritePaper.c:50</a></div></div>
<div class="ttc" id="aclass_action_write_paper_html_ac0b0f2e4b6710b10b15d7429d1f0a9a8"><div class="ttname"><a href="../../df/d36/class_action_write_paper.html#ac0b0f2e4b6710b10b15d7429d1f0a9a8">ActionWritePaper::OnEndRequest</a></div><div class="ttdeci">override void OnEndRequest(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/db1/_action_write_paper_8c_source.html#l00102">ActionWritePaper.c:102</a></div></div>
<div class="ttc" id="aclass_action_write_paper_html_aea628e43e8d34944394e55406ce09fe4"><div class="ttname"><a href="../../df/d36/class_action_write_paper.html#aea628e43e8d34944394e55406ce09fe4">ActionWritePaper::OnStartClient</a></div><div class="ttdeci">override void OnStartClient(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/db1/_action_write_paper_8c_source.html#l00065">ActionWritePaper.c:65</a></div></div>
<div class="ttc" id="aclass_action_write_paper_html_af9ac5cebe49e0e0b6761ec7a830d4778"><div class="ttname"><a href="../../df/d36/class_action_write_paper.html#af9ac5cebe49e0e0b6761ec7a830d4778">ActionWritePaper::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/db1/_action_write_paper_8c_source.html#l00056">ActionWritePaper.c:56</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a00487cccdebc5bf70af1b0c8d9ed3660"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">AnimatedActionBase::m_CommandUID</a></div><div class="ttdeci">protected int m_CommandUID</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00125">AnimatedActionBase.c:125</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a7bce84f3ceb181aacfabdfb000c56461"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">AnimatedActionBase::m_CallbackClass</a></div><div class="ttdeci">protected m_CallbackClass</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00127">AnimatedActionBase.c:127</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_time_html"><div class="ttname"><a href="../../d1/dc2/class_c_a_continuous_time.html">CAContinuousTime</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/daa/_c_a_continuous_time_8c_source.html#l00001">CAContinuousTime.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_i_non_ruined_html"><div class="ttname"><a href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d96/_c_c_i_non_ruined_8c_source.html#l00001">CCINonRuined.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_none_html"><div class="ttname"><a href="../../d2/dbf/class_c_c_t_none.html">CCTNone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d1b/_c_c_t_none_8c_source.html#l00001">CCTNone.c:2</a></div></div>
<div class="ttc" id="aclass_c_game_html_a00980b6b66e736a4af85fe1a935fd25e"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">CGame::GetUIManager</a></div><div class="ttdeci">proto native UIManager GetUIManager()</div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
<div class="ttc" id="aclass_item_base_html_a5387d5376315178ad70f6816c2e10408"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a5387d5376315178ad70f6816c2e10408">ItemBase::GetWrittenNoteData</a></div><div class="ttdeci">override WrittenNoteData GetWrittenNoteData()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4b/_paper_8c_source.html#l00030">Paper.c:30</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_u_i_manager_html_a9eec3197925c4469ac05fcc46221b4f7"><div class="ttname"><a href="../../d7/d75/class_u_i_manager.html#a9eec3197925c4469ac05fcc46221b4f7">UIManager::FindMenu</a></div><div class="ttdeci">UIScriptedMenu FindMenu(int id)</div><div class="ttdoc">Returns menu with specific ID if it is open (see MenuID)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd4/_u_i_manager_8c_source.html#l00161">UIManager.c:161</a></div></div>
<div class="ttc" id="aclass_written_note_data_html_a0a7bd1a5fecae8c39611251cd954f1bd"><div class="ttname"><a href="../../d4/d67/class_written_note_data.html#a0a7bd1a5fecae8c39611251cd954f1bd">WrittenNoteData::InitNoteInfo</a></div><div class="ttdeci">void InitNoteInfo(ItemBase pen=null, ItemBase paper=null)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df8/_written_note_data_8c_source.html#l00058">WrittenNoteData.c:58</a></div></div>
<div class="ttc" id="aclass_written_note_data_html_a7d3a4265a6da340e92178258307e1370"><div class="ttname"><a href="../../d4/d67/class_written_note_data.html#a7d3a4265a6da340e92178258307e1370">WrittenNoteData::GetNoteText</a></div><div class="ttdeci">string GetNoteText()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df8/_written_note_data_8c_source.html#l00073">WrittenNoteData.c:73</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___menu_i_d_html_gab4b187c0bd6713044c308f943e834330"><div class="ttname"><a href="../../d7/d7f/group___menu_i_d.html#gab4b187c0bd6713044c308f943e834330">MENU_NOTE</a></div><div class="ttdeci">const int MENU_NOTE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00167">constants.c:167</a></div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_ga1549e547ab5d53897a986482bf8fafe5"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#ga1549e547ab5d53897a986482bf8fafe5">UA_FINISHED</a></div><div class="ttdeci">const int UA_FINISHED</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00416">constants.c:416</a></div></div>
<div class="ttc" id="ahuman_8c_html_a0ff334215c943f44c097b2633237c6f5"><div class="ttname"><a href="../../d4/d9e/human_8c.html#a0ff334215c943f44c097b2633237c6f5">STATE_NONE</a></div><div class="ttdeci">static const int STATE_NONE</div><div class="ttdoc">undef state - not running anymore</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00337">human.c:337</a></div></div>
<div class="ttc" id="ahuman_8c_html_a8c262e2cc27fccf4a1439b54979e2f4a"><div class="ttname"><a href="../../d4/d9e/human_8c.html#a8c262e2cc27fccf4a1439b54979e2f4a">EnableStateChangeCallback</a></div><div class="ttdeci">proto native void EnableStateChangeCallback()</div><div class="ttdoc">enables state change callback OnStateChange</div></div>
<div class="ttc" id="ahuman_8c_html_ab9478b06befba3a8bd52435a249df222"><div class="ttname"><a href="../../d4/d9e/human_8c.html#ab9478b06befba3a8bd52435a249df222">STATE_LOOP_LOOP</a></div><div class="ttdeci">static const int STATE_LOOP_LOOP</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00341">human.c:341</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_10c38a35488a6c6e18a576a925896ff8.html">SingleUse</a></li><li class="navelem"><a class="el" href="../../d9/db1/_action_write_paper_8c.html">ActionWritePaper.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
